=== debian/changelog ===
mirrormagic (3.0.0+dfsg2-2) unstable; urgency=medium

  * apply -fcommon build flag via DEB_flag_MAINT_APPEND to support
    build on gcc-10 (handle redefinitions of common variables).
    Closes: #957544.
  * mark mirrormagic-data as Multi-Arch: foreign
  * Standards-Version: 4.5.0
  * debhelper compatibility level 13
    [Build-Depends: debhelper-compat (= 13)]
  * remove package handling of old v1.3 highscore files
    (non-UTF-8 translations were upsetting lintian)

 -- Drew Parsons <dparsons@debian.org>  Thu, 23 Jul 2020 16:39:52 +0800
