=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_CFLAGS_MAINT_APPEND = -fcommon

# main packaging script based on dh7 syntax
%:
	dh $@ 

# src/Makefile sets PROGBASE=rocksndiamonds, yet builds with the mirrormagic skin!
override_dh_auto_build:
	dh_auto_build -- PROGBASE=mirrormagic \
			RO_GAME_DIR=/usr/share/games/mirrormagic \
			RW_GAME_DIR=/var/games/mirrormagic \
			EXTRA_CFLAGS="$(CFLAGS)" \
			EXTRA_LDFLAGS="$(LDFLAGS)"

override_dh_fixperms-arch:
	dh_fixperms
# dh_fixperms ought to recognise games and set permissions accordingly,
# but it doesn't.
	chown root:games debian/mirrormagic/usr/games/mirrormagic
	chmod g+s debian/mirrormagic/usr/games/mirrormagic
	chown -R root:games debian/mirrormagic/var/games/mirrormagic
# need group write permission to record high scores in /var/games/mirrormagic
	chmod -R g+rws debian/mirrormagic/var/games/mirrormagic
