=== debian/changelog ===
mirrormagic (3.1.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - change RO_GAME_DIR to BASE_PATH (i.e. /usr/share/games/mirrormagic)
    - RW_GAME_DIR is no longer used (games scores are now written to
      ~/.mirrormagic in user homedir)
  * update debian/watch to specify linux in tarball name (not version)
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Sat, 31 Dec 2022 15:49:38 +0100
