=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,7 @@
 # src/Makefile sets PROGBASE=rocksndiamonds, yet builds with the mirrormagic skin!
 override_dh_auto_build:
 	dh_auto_build -- PROGBASE=mirrormagic \
-			RO_GAME_DIR=/usr/share/games/mirrormagic \
-			RW_GAME_DIR=/var/games/mirrormagic \
+			BASE_PATH=/usr/share/games/mirrormagic \
 			EXTRA_CFLAGS="$(CFLAGS)" \
 			EXTRA_LDFLAGS="$(LDFLAGS)"
