## mirrormagic 3.3.0+dfsg1

=== src/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # (c) 1995-2015 by Artsoft Entertainment
 #                  Holger Schemel
 #                  info@artsoft.org
-#                  http://www.artsoft.org/
+#                  https://www.artsoft.org/
 # -----------------------------------------------------------------------------
 # src/Makefile
 # =============================================================================
@@ -17,11 +17,21 @@
 
 ifndef PLATFORM				# unknown platform -- default to Unix
 PLATFORM = unix
+endif
+
+PLATFORM_BASE = $(PLATFORM)
+
+ifeq ($(PLATFORM),cross-win32)
+PLATFORM_BASE = cross-win
+endif
+ifeq ($(PLATFORM),cross-win64)
+PLATFORM_BASE = cross-win
 endif
 
 AR = ar
 RANLIB = ranlib
 ETAGS = etags
+STRIP = strip
 RM = rm -f
 
 CONVERT = convert
@@ -29,61 +39,82 @@
 
 CONVERT_ICON_ARGS = -transparent black -background transparent
 
+DEBUGGER = gdb -batch -ex "run" -ex "bt"
+
 PROGBASE = rocksndiamonds
 PROGNAME = ../$(PROGBASE)
 
-EDITION ?= default
-
 
 # -----------------------------------------------------------------------------
 # configuring platform
 # -----------------------------------------------------------------------------
-
-ifeq ($(PLATFORM),macosx)		# compiling on Mac OS X
-EXTRA_LDFLAGS = -lstdc++
-override PLATFORM = unix
-endif
 
 ifeq ($(PLATFORM),unix)			# compiling on Unix/Linux (generic)
 PROFILING_FLAGS = -pg
 endif
 
-ifeq ($(PLATFORM),cross-win32)		# cross-compiling to Windows
+ifeq ($(PLATFORM_BASE),cross-win)	# cross-compiling to Windows
 PROGNAME = ../$(PROGBASE).exe
 EXTRA_LDFLAGS = -lshfolder -lwsock32
 endif
 
+ifeq ($(PLATFORM),emscripten)		# compiling with Emscripten
+PROGNAME = ../$(PROGBASE).js
+DATA_FILE = $(PROGBASE).data
+CC = emcc
+AR = emar
+RANLIB = emranlib
+STRIP = true
+FILE_PACKAGER = file_packager
+endif
+
+ifeq ($(shell uname -s),Darwin)		# compiling on Mac OS X
+DEBUGGER = lldb --batch -o "run" -k "bt" -k "quit"
+SANITIZING_FLAGS = -fsanitize=undefined
+ifdef BUILD_DIST			# distribution build
+MAC_TARGET_VERSION_MIN = 10.7
+EXTRA_FLAGS_MAC = -mmacosx-version-min=$(MAC_TARGET_VERSION_MIN)
+EXTRA_CFLAGS = $(EXTRA_FLAGS_MAC)
+EXTRA_LDFLAGS = $(EXTRA_FLAGS_MAC)
+MACOSX_DEPLOYMENT_TARGET = $MAC_TARGET_VERSION_MIN
+endif
+endif
+
+ifeq ($(shell uname -s),OS/2)		# compiling on OS/2
+PROGNAME = ../$(PROGBASE).exe
+EXTRA_LDFLAGS = -Zomf -Zbin-files -Zmap -lcx -Zhigh-mem
+endif
+
 
 # -----------------------------------------------------------------------------
 # configuring target
 # -----------------------------------------------------------------------------
 
-ifndef TARGET				# auto-detect compiling for SDL or SDL2
+ifndef TARGET				# auto-detect compiling for SDL2
   SDL_VERSION := $(shell sdl2-config --version 2> /dev/null)
   ifdef SDL_VERSION
     TARGET = sdl2
   else
-    SDL_VERSION := $(shell sdl-config --version 2> /dev/null)
-    ifdef SDL_VERSION
-      TARGET = sdl
-    else
-      $(error SDL/SDL2 library not found)
-    endif
+    $(error SDL2 library not found)
   endif
 endif
 
 # $(info Using SDL version $(SDL_VERSION) [TARGET == $(TARGET)])
 
-ifeq ($(TARGET),sdl)			# compiling for SDL target
-SYS_CFLAGS = -DTARGET_SDL $(shell sdl-config --cflags)
-SDL_LIBS = -lSDL_image -lSDL_mixer -lSDL_net
-SYS_LDFLAGS = $(SDL_LIBS) $(shell sdl-config --libs)
-endif
-
 ifeq ($(TARGET),sdl2)			# compiling for SDL2 target
-SYS_CFLAGS = -DTARGET_SDL2 $(shell sdl2-config --cflags)
+ifeq ($(PLATFORM),emscripten)
+SDL_LIBS = -s USE_SDL_IMAGE=2 -s USE_SDL_MIXER=2 -s USE_SDL_NET=2 -s USE_MODPLUG=1 -s USE_MPG123=1 -s USE_ZLIB=1
+SDL_FMTS = -s SDL2_IMAGE_FORMATS='["bmp","png","pcx","xpm"]' -s SDL2_MIXER_FORMATS='["mod","mp3"]'
+EXTRA_CFLAGS = $(SDL_LIBS)
+EXTRA_LDFLAGS = $(SDL_FMTS) -s INITIAL_MEMORY=81920000 -s ALLOW_MEMORY_GROWTH=1 -s FORCE_FILESYSTEM -s NO_EXIT_RUNTIME=0 -s ASYNCIFY -O2 -lidbfs.js
+DATA_DIRS = conf docs levels graphics sounds music
+FILE_PACKAGER_ARGS = --preload $(DATA_DIRS) --js-output=$(DATA_FILE).js
+else
 SDL_LIBS = -lSDL2_image -lSDL2_mixer -lSDL2_net
-SYS_LDFLAGS = $(SDL_LIBS) $(shell sdl2-config --libs)
+endif
+
+SYS_CFLAGS := -DTARGET_SDL2 $(shell sdl2-config --cflags)
+SYS_LDFLAGS := $(SDL_LIBS) $(shell sdl2-config --libs) -lm -lz
 endif
 
 
@@ -91,36 +122,39 @@
 # configuring compile-time definitions
 # -----------------------------------------------------------------------------
 
-ifdef RO_GAME_DIR			# path to read-only game data specified
-CONFIG_RO_GAME_DIR = -DRO_GAME_DIR="\"$(RO_GAME_DIR)\""
-endif
-
-ifdef RW_GAME_DIR			# path to writable game data specified
-CONFIG_RW_GAME_DIR = -DRW_GAME_DIR="\"$(RW_GAME_DIR)\""
-endif
-
-CONFIG = $(CONFIG_RO_GAME_DIR) $(CONFIG_RW_GAME_DIR) $(JOYSTICK)
+ifdef BASE_PATH					# path to read-only game data
+CONFIG_BASE_PATH = -DBASE_PATH="\"$(BASE_PATH)\""
+endif
+
+CONFIG = $(CONFIG_BASE_PATH) $(JOYSTICK)
 
 DEBUG = -DDEBUG -g
 
-# PROFILING = $(PROFILING_FLAGS)
+# ANALYZE = $(PROFILING_FLAGS)
+# ANALYZE = $(SANITIZING_FLAGS)
 
 # OPTIONS = $(DEBUG) -Wall			# only for debugging purposes
-# OPTIONS = $(DEBUG) -O3 -Wall			# only for debugging purposes
-OPTIONS = $(DEBUG) -Wall			# only for debugging purposes
+# OPTIONS = $(DEBUG) -O2 -Wall			# only for debugging purposes
+# OPTIONS = $(DEBUG) -Wall			# only for debugging purposes
+OPTIONS = $(DEBUG) -Wall -Wstrict-prototypes -Wmissing-prototypes
+# OPTIONS = $(DEBUG) -Wall -Wextra -Wstrict-prototypes -Wmissing-prototypes
 # OPTIONS = $(DEBUG) -Wall -ansi -pedantic	# only for debugging purposes
-# OPTIONS = -O3 -Wall -ansi -pedantic
-# OPTIONS = -O3 -Wall
-# OPTIONS = -O3
+# OPTIONS = -O2 -Wall -ansi -pedantic
+# OPTIONS = -O2 -Wall
+# OPTIONS = -O2
+
+ifdef BUILD_TEST			# test build
+OPTIONS := $(OPTIONS) -DTESTING
+endif
 
 ifdef BUILD_DIST			# distribution build
 SYS_LDFLAGS := $(shell echo $(SYS_LDFLAGS) |	\
 		       sed -e "s%-rpath,[^ ]*%-rpath,'\$$ORIGIN/lib'%")
-OPTIONS = -O3 -Wall
-endif
-
-CFLAGS = $(OPTIONS) $(SYS_CFLAGS)  $(EXTRA_CFLAGS) $(CONFIG)
-LDFLAGS =           $(SYS_LDFLAGS) $(EXTRA_LDFLAGS) -lm
+OPTIONS = -O2 -Wall
+endif
+
+CFLAGS = $(OPTIONS) $(ANALYZE) $(SYS_CFLAGS)  $(EXTRA_CFLAGS) $(CONFIG)
+LDFLAGS =           $(ANALYZE) $(SYS_LDFLAGS) $(EXTRA_LDFLAGS)
 
 
 SRCS =	main.c		\
@@ -138,6 +172,7 @@
 	files.c		\
 	tape.c		\
 	anim.c		\
+	api.c		\
 	network.c	\
 	netserv.c
 
@@ -156,6 +191,7 @@
 	files.o		\
 	tape.o		\
 	anim.o		\
+	api.o		\
 	network.o	\
 	netserv.o
 
@@ -168,6 +204,8 @@
 	conf_cus.h	\
 	conf_grp.c	\
 	conf_grp.h	\
+	conf_emp.c	\
+	conf_emp.h	\
 	conf_e2g.c	\
 	conf_esg.c	\
 	conf_e2s.c	\
@@ -188,6 +226,12 @@
 # get source date string from either GNU / Linux or BSD / Mac OS X style "date"
 SOURCE_DATE_STRING := $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+$(TIMESTAMP_FORMAT)"  2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(TIMESTAMP_FORMAT)" 2>/dev/null || date -u "+$(TIMESTAMP_FORMAT)")
 
+COMMIT_HASH_FILE = confhash.h
+COMMIT_HASH_NONE = "[changed files]"
+
+# get last Git commit hash, if no files were changed
+SOURCE_HASH_STRING ?= $(shell test -d ../.git && test `git ls-files -m | wc -l` -eq 0 && git show -s --format=%h || echo "$(COMMIT_HASH_NONE)")
+
 LIBGAME_DIR = libgame
 LIBGAME = $(LIBGAME_DIR)/libgame.a
 
@@ -204,10 +248,10 @@
 AUTOCONF = conf_gfx.h conf_snd.h conf_mus.h
 
 ICONBASE = windows_icon
-ICON_BASEPATH = ../Special/Icons/windows_icons
-
-ifeq ($(PLATFORM),cross-win32)
-ICON_PATH = $(ICON_BASEPATH)/$(EDITION)
+ICON_BASEPATH = ../build-projects/windows/icons
+
+ifeq ($(PLATFORM_BASE),cross-win)
+ICON_PATH = $(ICON_BASEPATH)
 ICON = $(ICONBASE).o
 endif
 
@@ -220,10 +264,13 @@
 
 all: $(AUTOCONF) libgame_dir game_em_dir game_sp_dir game_mm_dir $(PROGNAME) graphics_dir
 
-$(PROGNAME): $(RNDLIBS) $(TIMESTAMP_FILE) $(OBJS) $(ICON)
-	$(CC) $(PROFILING) $(OBJS) $(ICON) $(RNDLIBS) $(LDFLAGS) -o $(PROGNAME)
+$(PROGNAME): $(RNDLIBS) $(TIMESTAMP_FILE) $(COMMIT_HASH_FILE) $(OBJS) $(ICON)
+	$(CC) $(OBJS) $(ICON) $(RNDLIBS) $(LDFLAGS) -o $(PROGNAME)
 ifdef BUILD_DIST
-	strip $(PROGNAME)
+	$(STRIP) $(PROGNAME)
+endif
+ifeq ($(PLATFORM),emscripten)
+	(cd .. ; $(FILE_PACKAGER) $(DATA_FILE) $(FILE_PACKAGER_ARGS))
 endif
 
 libgame_dir:
@@ -267,17 +314,28 @@
 conf_mus.h: conf_mus.c $(CNFS_CMD)
 	@$(MAKE) auto-conf
 
-$(TIMESTAMP_FILE): $(SRCS) $(RNDLIBS)
+conf-time:
 	@echo '#define SOURCE_DATE_STRING "$(SOURCE_DATE_STRING)"' \
 	> $(TIMESTAMP_FILE)
 
+conf-hash:
+	@echo '#define SOURCE_HASH_STRING "$(SOURCE_HASH_STRING)"' \
+	> $(COMMIT_HASH_FILE)
+
+config.o: config.c $(TIMESTAMP_FILE)
+
+$(TIMESTAMP_FILE): $(SRCS) $(RNDLIBS)
+	@$(MAKE) conf-time
+
+$(COMMIT_HASH_FILE): $(SRCS) $(RNDLIBS)
+	@$(MAKE) conf-hash
+
 $(ICON):
-#	$(CONVERT) $(ICON32X32) $(CONVERT_ICON_ARGS) $(ICONBASE).ico
 	$(CONVERT) $(ICON_PATH)/*.png $(CONVERT_ICON_ARGS) $(ICONBASE).ico
 	echo "$(ICONBASE) ICON $(ICONBASE).ico" | $(WINDRES) -o $(ICON)
 
 .c.o:
-	$(CC) $(PROFILING) $(CFLAGS) -c $*.c
+	$(CC) $(CFLAGS) -c $*.c
 
 graphics_dir:
 	@test -f $(GRAPHICS_DIR)/Makefile && $(MAKE) -C $(GRAPHICS_DIR) || true
@@ -296,7 +354,10 @@
 
 clean-bin:
 	$(RM) $(PROGNAME)
-	$(RM) ../*.exe
+	$(RM) $(PROGNAME).exe
+	$(RM) $(PROGNAME).js
+	$(RM) $(PROGNAME).wasm
+	$(RM) $(PROGNAME).data
 
 clean: clean-obj clean-ico clean-bin
 
@@ -314,7 +375,7 @@
 	cd .. && ./$(PROGBASE) --verbose
 
 gdb:
-	cd .. && gdb -batch -x GDB_COMMANDS ./$(PROGBASE)
+	cd .. && $(DEBUGGER) $(PROGBASE)
 
 valgrind:
 	cd .. && valgrind -v --leak-check=yes ./$(PROGBASE) 2> valgrind.out
