=== debian/changelog ===
mirrormagic (3.3.0+dfsg1-3) unstable; urgency=medium

  * debian patch preserve_conffiles.patch blocks build-time updates to
    confhash.h and conftime.h. These source alterations do not
    improve the debian package, and they just upset dpkg-buildpackage.
    Let them declare the upstream release point not the debian build
    point. Closes: #1045230.
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Sun, 08 Dec 2024 01:21:14 +0100

mirrormagic (3.3.0+dfsg1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + mirrormagic-data: Drop conflict with removed package mirrormagic (<<
      2.0.2-4) in Conflicts.

  [ Drew Parsons ]
  * debian/control: set Rules-Requires-Root: binary-targets
    for chown root:games.
    Closes: #1089389.
  * after dh_clean, remove the mirrormagic binary left in the source dir

 -- Drew Parsons <dparsons@debian.org>  Sun, 08 Dec 2024 00:47:52 +0100

mirrormagic (3.3.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Jul 2023 10:44:40 +0200
