=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
  libsdl2-image-dev,
  libsdl2-mixer-dev,
  libsdl2-net-dev
-Standards-Version: 4.5.0
+Rules-Requires-Root: binary-targets
+Standards-Version: 4.7.0
 Homepage: http://www.artsoft.org/mirrormagic/
 Vcs-Git: https://salsa.debian.org/games-team/mirrormagic.git
 Vcs-Browser: https://salsa.debian.org/games-team/mirrormagic
@@ -33,7 +34,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Conflicts: suidmanager (<< 0.50), mirrormagic (<< 2.0.2-4)
+Conflicts: suidmanager (<< 0.50)
 Description: Data files for mirrormagic
  This package provides the architecture-independent data files (images,
  levels, sound samples) for mirrormagic.
