=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,9 @@
 # main packaging script based on dh7 syntax
 %:
 	dh $@ 
+
+execute_after_dh_clean:
+	rm -f mirrormagic
 
 # src/Makefile sets PROGBASE=rocksndiamonds, yet builds with the mirrormagic skin!
 override_dh_auto_build:
