## mirrormagic 3.3.1+dfsg1

=== debian/changelog ===
mirrormagic (3.3.1+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Wed, 23 Apr 2025 18:25:02 +0200
