=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libsdl2-mixer-dev,
  libsdl2-net-dev
 Rules-Requires-Root: binary-targets
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: http://www.artsoft.org/mirrormagic/
 Vcs-Git: https://salsa.debian.org/games-team/mirrormagic.git
 Vcs-Browser: https://salsa.debian.org/games-team/mirrormagic
