=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1 \
http://www.artsoft.org/RELEASES/unix/mirrormagic/mirrormagic-(.*)-linux\.tar\.gz
